<vue>
  <contacts-overview url="https://api.sylo.space/api/valtech/v1/contacts">
    <template slot="masthead" slot-scope="props">
      <masthead-contact v-animation-masthead>

        <template slot="list">
          <ul class="list">
            <li
              class="list-item"
              v-for="(item, index) in props.items"
              :class="{ 'list-item--active': JSON.stringify(props.selectedItem) == JSON.stringify(item) }"
              :key="'masthead-contact-item-' + index"
              v-on:click="props.data.onGotoAnchor(item)">{{item.name}}</li>
          </ul>
        </template>

        <template slot="picture">
          <picture>
           <source
             media="(orientation: portrait)"
             srcset="/img/dummy/940x530.png,
                     /img/dummy/1410x795.png 1.5x">
           <source
             media="(orientation: landscape)"
             srcset="/img/dummy/1600x720.png,
                     /img/dummy/2400x1080.png 1.5x">
           <img
             src="/img/dummy/940x530.png"
             srcset="/img/dummy/1410x795.png 1.5x"
             alt="">
          </picture>
        </template>

      </masthead-contact>

    </template>

    <!-- RESULT LIST: contact -->
    <!-- default slot -->
    <template slot-scope="props">
      <div class="contacts-overview__list">
        <h3 class="contacts-overview__title">Founded in 1993 Valtech now has 2,500+ people with diverse skill sets across 39 offices in 16 countries.</h3>
        <contact-item
          v-for="(item, index) in props.items"
          :id="item.name"
          :key="'contact-item-' + index"
          :item="item"
          :selected-item="props.selectedItem"
          v-on:click.native="props.data.onSelectItem(item)">
        </contact-item>
      </div>
    </template>
    <!-- /RESULT LIST: contact -->
  </contacts-overview>
</vue>
