<vue>
  <insights-overview url="https://api.sylo.space/api/valtech/v1/insights">
    <!-- slot: form -->
    <template slot="form" slot-scope="props">
      <div class="u-box u-box--align-center insights-overview__filter-bar">
        <form class="u-box u-box--column-query insights-overview-form">
          <select-options
            class="u-flex filter-options"
            v-for="(item, index) in props.filters"
            :key="item.id"
            :options="props.data.getOptionsByTypeFromFilters(item.value)"
            :available-options="props.tagsUnique"
            v-on:change="props.data.onChangeSelectOptionsFilter"
            v-model="props.data.formData[item.value]">
          </select-options>
        </form>
      </div>
    </template>

    <!-- RESULT LIST: insights -->
    <!-- default slot -->
    <template slot-scope="props">
      <div class="insights-overview-result">
        <ul class="u-list insights-result-list">
          <!-- <li class="insights-result-item column grid__column fr-col-4 fr-row-1" v-for="(item, index) in props.items">
            <insight-item :item="item"></insight-item>
          </li> -->
          <li
            class="insights-result-item u-grid u-grid--default grid__column"
            v-for="(row, index) in props.remappedItems"
            :key="'row-' + index"
            :class="[
              'fr-row-' + row.props['fr-row'],
              'fr-col-' + row.props['fr-col'],
              'ms-grid-rows',
              'ms-grid-row-' + row.props['-ms-grid-row'],
              'ms-grid-column-' + row.props['-ms-grid-column'],
              props.isHighlightedRow(index)
            ]"
            :style="{
              'ms-grid-rows': '1fr 10px'
            }">

            <div
              class="column grid__column"
              v-for="(column, index) in row.columns"
              :key="'column-' + index"
              :class="[
                'fr-row-' + column.props['fr-row'],
                'fr-col-' + column.props['fr-col'],
                'ms-grid-row-' + row.props['-ms-grid-row'],
                'ms-grid-column-' + column.props['-ms-grid-column']
              ]"
              :style="{
                'ms-grid-row': row.props['-ms-grid-row'],
                'ms-grid-column': column.props['-ms-grid-column']
              }">

              <masthead-senary v-if="column.props.isHighlighted" :item="column.item"></masthead-senary>
              <insight-item v-else :item="column.item" :tags="props.data.definedTagProperties.object"></insight-item>
            </div>

          </li>
        </ul>
      </div>
    </template>
    <!-- /RESULT LIST: insights -->
  </insights-overview>
</vue>
