<vue>
  <jobs-overview url="https://api.sylo.space/api/valtech/v1/jobs">
    <!-- slot: form -->
    <template slot="form" slot-scope="props">
      <div class="u-box u-box--align-center jobs-overview__filter-bar">
        <form class="u-box jobs-overview-form">
          <select-options
            class="u-flex filter-options filter-options--desktop"
            :options="props.data.listFilteredOptions('country', 'All Countries')"
            v-model="props.data.formData['country']"
            v-on:change="props.data.updateQueryTags">
          </select-options>

          <select-options
            class="u-flex filter-options filter-options--desktop"
            :options="props.data.listFilteredOptions('expertise', 'All Expertises')"
            v-model="props.data.formData['expertise']"
            v-on:change="props.data.updateQueryTags">
          </select-options>

          <object-pulldown
            class="u-flex filter-options"
            title="Filter">
            <div class="u-flex">
              <tag-group
                class="filter-type-item"
                title="Region"
                :query-items="props.data.getItemsByType('region', props.data.formData.queryTags)"
                :filtered-items="props.data.getItemsByType('region', props.data.filteredTags)"
                :on-remove-tag-from-filter="props.onRemoveTagFromFilter"
                :on-add-tag-to-filter="props.onAddTagToFilter">
              </tag-group>

              <tag-group
                class="filter-type-item"
                title="Country"
                :query-items="props.data.getItemsByType('country', props.data.formData.queryTags)"
                :filtered-items="props.data.getItemsByType('country', props.data.filteredTags)"
                :on-remove-tag-from-filter="props.onRemoveTagFromFilter"
                :on-add-tag-to-filter="props.onAddTagToFilter">
              </tag-group>

              <tag-group
                class="filter-type-item"
                title="Office"
                :query-items="props.data.getItemsByType('office', props.data.formData.queryTags)"
                :filtered-items="props.data.getItemsByType('office', props.data.filteredTags)"
                :on-remove-tag-from-filter="props.onRemoveTagFromFilter"
                :on-add-tag-to-filter="props.onAddTagToFilter">
              </tag-group>

              <tag-group
                class="filter-type-item"
                title="Expertise"
                :query-items="props.data.getItemsByType('expertise', props.data.formData.queryTags)"
                :filtered-items="props.data.getItemsByType('expertise', props.data.filteredTags)"
                :on-remove-tag-from-filter="props.onRemoveTagFromFilter"
                :on-add-tag-to-filter="props.onAddTagToFilter">
              </tag-group>

              <tag-group
                class="filter-type-item"
                title="Type of Contract"
                :query-items="props.data.getItemsByType('contracttype', props.data.formData.queryTags)"
                :filtered-items="props.data.getItemsByType('contracttype', props.data.filteredTags)"
                :on-remove-tag-from-filter="props.onRemoveTagFromFilter"
                :on-add-tag-to-filter="props.onAddTagToFilter">
              </tag-group>

              <tag-group
                class="filter-type-item"
                title="Others"
                :query-items="props.data.otherFromQueryItems"
                :filtered-items="props.data.otherFromFilteredItems"
                :on-remove-tag-from-filter="props.onRemoveTagFromFilter"
                :on-add-tag-to-filter="props.onAddTagToFilter">
              </tag-group>
            </div>
          </object-pulldown>
        </form>
      </div>
    </template>

    <template slot="init" slot-scope="props">
      <div>
        Loading...
      </div>
    </template>

    <!-- RESULT LIST: jobs -->
    <!-- default slot -->
    <template slot-scope="props">
      <div class="jobs-overview-result">
        <ul class="u-list jobs-result-list">
          <li class="jobs-result-item" v-for="(item, index) in props.items" :key="'jobs-result-item-' + index">
            <job-item v-bind:item="item" v-datalayer :data-datalayer="JSON.stringify({ 'event': 'jobDetailClicked', 'jobDetail': { 'jobTitle': item.title, 'jobLocation': item.places }})"></job-item>
          </li>
        </ul>
      </div>
    </template>
    <!-- /RESULT LIST: jobs -->
  </jobs-overview>
</vue>
