<vue>
  <whitepapers-overview url="https://api.sylo.space/api/valtech/v1/whitepapers?id=1337">
    <!-- slot: form -->
    <template slot="form" slot-scope="props">
      <div class="u-box u-box--align-center whitepapers-overview__filter-bar">
        <form class="u-box u-box--column-query whitepapers-overview-form">
          <select-options
            class="u-flex filter-options"
            v-for="(item, index) in props.filters"
            :key="'select-options-' + index"
            :options="props.data.getOptionsByTypeFromFilters(item.value)"
            :available-options="props.tagsUnique"
            v-on:change="props.data.onChangeSelectOptionsFilter"
            v-model="props.data.formData[item.value]">
          </select-options>
        </form>
      </div>
    </template>

    <!-- RESULT LIST: whitepapers -->
    <!-- default slot -->
    <template slot-scope="props">
      <div class="whitepapers-overview-result">
        <ul class="u-list whitepapers-result-list u-grid u-grid--responsive">
          <li class="whitepapers-result-item column grid__column fr-col-6 fr-row-1" v-for="(item, index) in props.items">
            <whitepaper-item @open="emitShowModal" :item="item" :key="item.id"></whitepaper-item>
          </li>
        </ul>
      </div>
    </template>
    <!-- /RESULT LIST: whitepapers -->
  </whitepapers-overview>
  <!-- MODAL VIEW -->
  <modal
    v-if="showModal"
    :class="{ 'is-open': showModal }"
    :props="modalProps"
    @close="onCloseModal">
  </modal>
</vue>
