import { TweenMax, TimelineMax, Power3 } from 'gsap'

const init = () => {
  const slideFadeElm = Array.from(document.querySelectorAll('.slide-fade-in'))
  if (!slideFadeElm.length > 0) return

  const slideFadeElmAnim = function () {
    const options = {
      root: null,
      rootMargin: '0px',
      threshold: 0.2
    }

    function handleIntersect (entries, observer) {
      entries.forEach(entry => {
        if (entry.intersectionRatio > 0 && !entry.target.classList.contains('played')) {
          TweenMax.fromTo(entry.target, 1, { autoAlpha: 0, y: 30 }, { autoAlpha: 1, y: 0, ease: Power3.easeOut, onStart: () => { entry.target.classList.add('played') } })
        }
      })
    }

    const observer = new IntersectionObserver(handleIntersect, options)
    slideFadeElm.forEach(item => observer.observe(item))
  }

  slideFadeElmAnim()
}

document.addEventListener('DOMContentLoaded', init, { once: true })
